CFPRIME LONZL                                                           LONZL       1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE LONZL(NODEA,NODEB,CKT,KNET,KPLL)                       LONZL       3
CD                                                                      LONZL       4
CD    TO LOCATE THE ZERO IMPEDANCE LINE IN THE EXISTING NETWORK.        LONZL       5
CD                                                                      LONZL       6
CD    INPUT OF THE ROUTINE ARE:                                         LONZL       7
CD                                                                      LONZL       8
CD    1. NODEA AND NODEB ARE THE FROM- AND TO-BUS NUMBERS               LONZL       9
CD    2. ICKT IS THE 2 BYTE CHARACTER CIRCUIT IDENTITY OF THE LINE      LONZL      10
CD                                                                      LONZL      11
CD    KNET = 0 ; IF LINE IS NOT FOUND.                                  LONZL      12
CD                                                                      LONZL      13
      INCLUDE 'PARX.INS'                                                LONZL      14
      INCLUDE 'CNFLAG.INS'                                              LONZL      15
      INCLUDE 'CNMASK.INS'                                              LONZL      16
      INCLUDE 'CNUNIT.INS'                                              LONZL      17
C                                                                       LONZL      18
      CHARACTER*2        CKID , CKT                                     LONZL      19
C                                                                       LONZL      20
      LDEB=(JDEB(296).NE.0)                                             LONZL      21
C                                                                       LONZL      22
      KPLL=0                                                            LONZL      23
      KNET=0                                                            LONZL      24
      IF(NODEA.LE.0.OR.NODEB.LE.0)RETURN                                LONZL      25
      N=NZFELI(NODEA)                                                   LONZL      26
  10  IF(N.EQ.0) RETURN                                                 LONZL      27
C                                                                       LONZL      28
      IF(NZFENO(N).NE.NODEB) GOTO 20                                    LONZL      29
C                                                                       LONZL      30
C   BRANCH EXISTS SO CHECK CCTID                                        LONZL      31
C                                                                       LONZL      32
      KPLL=KPLL+1                                                       LONZL      33
      NN=(N+1)/2                                                        LONZL      34
      CKID=NZCID(NN)                                                    LONZL      35
      IF(LDEB)WRITE(IUD6,1010) CKT,N,NN,CKID                            LONZL      36
      IF(CKT.EQ.CKID)THEN                                               LONZL      37
      KNET=NN                                                           LONZL      38
      IF(LDEB)WRITE(IUD6,1020) KNET                                     LONZL      39
      ENDIF                                                             LONZL      40
C                                                                       LONZL      41
  20  N=NZNELI(N)                                                       LONZL      42
      GOTO 10                                                           LONZL      43
C                                                                       LONZL      44
 1010 FORMAT(1X,' CKT=',A2,' N=',I5,' NN=',I5                           LONZL      45
     &,' CKID=',A2)                                                     LONZL      46
 1020 FORMAT(1X,'ZERO IMPEDANCE LINE EXISTS KNET =',I6)                 LONZL      47
C                                                                       LONZL      48
      END                                                               LONZL      49
